{
  "compilerOptions": {
    "target": "es5",
    "lib": ["dom", "dom.iterable", "esnext"],
    "allowJs": true,
    "skipLibCheck": true,
    "strict": true,
    "forceConsistentCasingInFileNames": true,
    "noEmit": true,
    "esModuleInterop": true,
    "module": "esnext",
    "moduleResolution": "node",
    "resolveJsonModule": true,
    "isolatedModules": true,
    "jsx": "preserve",
    "incremental": true,
    "paths": {
      "@/*": ["./src/*"],
      "@tesseract-design/web-base-button": ["./src/base/button"],
      "@tesseract-design/web-base-selectcontrol": ["./src/base/selectcontrol"],
      "@tesseract-design/web-base-textcontrol": ["./src/base/textcontrol"],
      "@tesseract-design/web-action-react": ["./src/categories/action/react"],
      "@tesseract-design/web-blob-react": ["./src/categories/blob/react"],
      "@tesseract-design/web-freeform-react": ["./src/categories/freeform/react"],
      "@tesseract-design/web-information-react": ["./src/categories/information/react"],
      "@tesseract-design/web-option-react": ["./src/categories/option/react"],
      "@tesseract-design/web-navigation-react": ["./src/categories/navigation/react"],
    }
  },
  "include": ["next-env.d.ts", "**/*.ts", "**/*.tsx"],
  "exclude": ["node_modules"]
}
